JSSEImplementation (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net.jsse, class: JSSEImplementation

# Class JSSEImplementation

java.lang.Object
org.apache.tomcat.util.net.SSLImplementation
org.apache.tomcat.util.net.jsse.JSSEImplementation

public class JSSEImplementation extends SSLImplementation
JSSE-based SSL implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSSEImplementation()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SSLSupport`
  `getSSLSupport(SSLSession session)`
  Deprecated.
  `SSLSupport`
  `getSSLSupport(SSLSession session, Map<String, List<String>> additionalAttributes)`
  Obtain an instance of SSLSupport.
  `SSLUtil`
  `getSSLUtil(SSLHostConfigCertificate certificate)`
  Returns the SSL utility for the given certificate.
  `boolean`
  `isAlpnSupported()`

  ### Methods inherited from class SSLImplementation

  `getInstance`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JSSEImplementation

    public JSSEImplementation()
    Default constructor.

- ## Method Details

  - ### getSSLSupport

    @Deprecated public SSLSupport getSSLSupport(SSLSession session)
    Deprecated.
    Description copied from class: `SSLImplementation`
    Obtain an instance of SSLSupport.
    Specified by:
      `getSSLSupport` in class `SSLImplementation`
    Parameters:
      `session` - The TLS session
    Returns:
      An instance of SSLSupport based on the given session.

  - ### getSSLSupport

    public SSLSupport getSSLSupport(SSLSession session, Map<String, List<String>> additionalAttributes)
    Description copied from class: `SSLImplementation`
    Obtain an instance of SSLSupport.
    Overrides:
      `getSSLSupport` in class `SSLImplementation`
    Parameters:
      `session` - The SSL session
      `additionalAttributes` - Additional SSL attributes that are not available from the session.
    Returns:
      An instance of SSLSupport based on the given session and the provided additional attributes

  - ### getSSLUtil

    public SSLUtil getSSLUtil(SSLHostConfigCertificate certificate)
    Description copied from class: `SSLImplementation`
    Returns the SSL utility for the given certificate.
    Specified by:
      `getSSLUtil` in class `SSLImplementation`
    Parameters:
      `certificate` - The certificate
    Returns:
      the SSL utility

  - ### isAlpnSupported

    public boolean isAlpnSupported()
    Specified by:
      `isAlpnSupported` in class `SSLImplementation`